For the complete documentation index, see llms.txt. This page is also available as Markdown.

Score Phone List

Run in Postman: Score Phone List

The Score Phone List API scores a sequence of phonemes that make up any word or non-word. Individual words such as “Gotcha” — American vernacular that is not a valid dictionary word — can be scored by supplying their phonemes. Phonemes are expressed in ARPABET notation, pipe-separated.

Request Format

The endpoint you use depends on the region of your subscription. For example, for US West the endpoint is https://api.speechace.co.

POST https://api.speechace.co/api/scoring/phone_list/v9/json

Query Parameters

Parameter
Type
Description

key

String

API key issued by Speechace.

dialect

String

This is the dialect to be scored. Supported for en-us, en-gb, es-es, es-mx, fr-fr, fr-ca

user_id

String

Optional: A unique anonymized identifier for the end-user who spoke the audio.

Request Body

Parameter
Type
Description

phone_list

String

A phoneme list to score. For example: g|ao|ch|ah

user_audio_file

File

file with user audio (wav, mp3, m4a, webm, ogg, aiff).

question_info

String

Optional flag: A unique identifier (generated by your application) for the activity or question this user audio is answering.

Request Examples

Example
Request Body Parameters
When to use

Score a phoneme list

phone_list="g|ao|ch|ah" user_audio_file=gotcha.wav

Score how closely the audio matches a pipe-separated ARPABET phoneme sequence.

Response Example

The response contains word_score.phone_score_list[] — one entry per phoneme, each with its own quality_score, extent (start/end), and sound_most_like (the phone the speaker's sound most resembled).

The interpretation of phone_score_list is the same as in Score Text.

Last updated